alignment-smc(1)

NAME
alignment-smc - Generate input for SMC programs.

SYNOPSIS
alignment-smc alignment-file [OPTIONS]

DESCRIPTION
Generate input for SMC programs.

ALLOWED OPTIONS:

-h, –help
    produce help message

–align arg
    file with sequences and initial alignment

–alphabet arg
    specify the alphabet: DNA, RNA, Amino-Acids, Triplets, or Codons

-e, –erase-empty-columns
    Remove columns with no characters (all gaps).

–minor-allele arg
    Keep columns with minor-allele count >= arg

–missing-freq arg (=1)
    Keep columns with missing frequency >= arg

–one-every arg
    Keep only 1 column in each interval of size arg

-G arg, –mask-gaps arg
    Remove columns within arg columns of a gap

-S, –strip-gaps
    Remove columns within arg columns of a gap

–gap-fraction arg (=0.01)
    Fraction of sequences that need to have a gap

-M arg, –mask-file arg
    Apply mask-file

-A, –autoclean
    Mask blocks with too many SNPs

–dical2
    Output file for DiCal2

–msmc
    Output file for MSMC

–psmc
    Output file for PSMC

–write-bed arg
    Output BED file with chromosome name arg

–variant arg (=1)
    Is there a SNP at distance arg from SNP?

–consensus-seqs arg
    sequences to use in consensus

–translate-mask arg
    Masks (CSV or @file)

–translate-vcf arg
    Masks (CSV or @file)

–show-freq
    Show allele frequencies

–clean-to-ref arg
    Remove columns not in reference sequence arg

–pi-matrix
    Calculate pi for each pair of sequences

–histogram arg
    Output SNP counts for blocks of arg bases

–snp-snp-lengths arg
    Output counts of snp-snp lengths up to arg snps

–sfs2d arg
    pop1:pop2:anc:window

–find-alleles arg
    Find alleles with S snps in L bases and count >= N

-m arg, –mask-alleles arg
    Find alleles with S snps in L bases and count >= N

EXAMPLES:
To calculate some statistics:

        % alignment-smc sequence.fasta > /dev/null

To write out SNPS with minor-allele count >=2 in BED format:

        % alignment-smc sequences.fasta --minor-allele=2 --write-bed=chrom > snps.bed

REPORTING BUGS:
BAli-Phy online help: http://www.bali-phy.org/docs.php .

Please send bug reports to bali-phy-users@googlegroups.com .

AUTHORS
Benjamin Redelings.